
import ap.JavaWrapper;
import java.util.ArrayList;

public class SimpleSolving {
  public static void main(String[] args) {
      final ArrayList<String> options = new ArrayList<> ();

      options.add("-inputFormat=pri");
      options.add("+quiet");

      System.out.println("Solving input1 ...");

      final String input1 =
          "\\functions { int x, y, z; } \\problem { x > y & y > z -> x > z }";

      System.out.println(JavaWrapper.readFromString(input1, options));

      System.out.println("Solving input2 ...");

      final String input2 =
          "\\functions { int x, y, z; } \\problem { x > y & y > z -> x < z }";

      options.add("+model");

      System.out.println(JavaWrapper.readFromString(input2, options));
  }
}
